<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * Cтатус покупателя. Расшифровка значений:
 * * `1` - Создан
 * * `2` - Новый (заполнены телефон и портфолио)
 * * `3` - На проверке
 * * `4` - Отклонен
 * * `5` - Активный
 * * `6` - Проблемный
 * * `7` - Заблокирован
 * * `8` - Потенциальный реферальный партнер
 * * `9` - Временно приостановлен
 */
enum CustomersCustomerStatusEnum: int
{
    /** Создан */
    case STATUS_CREATED = 1;
    /** Новый (заполнены телефон и портфолио) */
    case STATUS_NEW = 2;
    /** На проверке */
    case STATUS_CONSIDERATION = 3;
    /** Отклонен */
    case STATUS_REJECTED = 4;
    /** Активный */
    case STATUS_ACTIVE = 5;
    /** Проблемный */
    case STATUS_PROBLEM = 6;
    /** Заблокирован */
    case STATUS_BLOCK = 7;
    /** Потенциальный реферальный партнер */
    case STATUS_POTENTIAL_RP = 8;
    /** Временно приостановлен */
    case STATUS_TEMPORARILY_SUSPENDED = 9;
}
